FROM swr.cn-north-4.myhuaweicloud.com/cloud-yuzhen/ubuntu:22.04
ARG TARGETARCH 
ARG ARCH32

RUN echo "当前构建架构: ${TARGETARCH}"
RUN echo "当前构建32架构: ${ARCH32}"

# 添加架构相关的依赖包
ADD overlay/dotnet-runtime-3.1.32-linux-${TARGETARCH}.tar.gz /root/dotnet
COPY overlay/libssl1.0.0_1.0.2g-1ubuntu4.20_${TARGETARCH}.deb /tmp

# 动态处理架构兼容性
RUN apt update && \
    dpkg --add-architecture ${ARCH32} && \
    apt update && \
    apt install -y --no-install-recommends \
    libstdc++6 \
    # lib32stdc++6 \
    libstdc++6:${ARCH32} \
    libc6:${ARCH32} \
    libc6 \
    libgcc-s1 \
    libicu70 \
    liblttng-ust1 \
    zlib1g \
    vim \
    zip \
    unzip \
    wget \
    openssh-server \
    inetutils-ping \
    inetutils-telnet && \
    dpkg -i /tmp/libssl1.0.0_1.0.2g-1ubuntu4.20_${TARGETARCH}.deb && \
    echo "PermitRootLogin yes\nPasswordAuthentication yes\n" >> /etc/ssh/sshd_config && \
    echo root:123456 | chpasswd

COPY overlay/localtime /etc
COPY prog /home/
COPY start.sh /home
WORKDIR /home
CMD ["/home/start.sh"]